local mod = ...


mod:register({
    DataType = "TRADING_VILLAGE",
    Id = "VILLAGE_RT_T1",
    VillageName = "Rathdrum",
    UnlockCost = {
        { Resource = "PLANK", Quantity = 20 }
    },
	ResourceTradingReplenishDelay = 0.5,
    BuyingResourceList = {
		{ ResourceMaxAmount = { Resource = "BERRIES", Quantity = 10 }, ReplenishingAmount = 5, UnitPrice = { Resource = "GOLD_COINS", Quantity = 1 } }, 
		{ ResourceMaxAmount = { Resource = "BV1_EGG", Quantity = 10 }, ReplenishingAmount = 5, UnitPrice = { Resource = "GOLD_COINS", Quantity = 2 } }, 
		{ ResourceMaxAmount = { Resource = "RESOURCE_VEGETABLE", Quantity = 10 }, ReplenishingAmount = 5, UnitPrice = { Resource = "GOLD_COINS", Quantity = 4 } }, 
		{ ResourceMaxAmount = { Resource = "RESOURCE_POULTRY", Quantity = 10 }, ReplenishingAmount = 5, UnitPrice = { Resource = "GOLD_COINS", Quantity = 4 } }, 
		{ ResourceMaxAmount = { Resource = "FISH", Quantity = 10 }, ReplenishingAmount = 5, UnitPrice = { Resource = "GOLD_COINS", Quantity = 4 } }, 
		{ ResourceMaxAmount = { Resource = "BREAD", Quantity = 10 }, ReplenishingAmount = 5, UnitPrice = { Resource = "GOLD_COINS", Quantity = 4 } }, 
		{ ResourceMaxAmount = { Resource = "BV1_MEAT", Quantity = 5 }, ReplenishingAmount = 5, UnitPrice = { Resource = "GOLD_COINS", Quantity = 8 } }, 
		{ ResourceMaxAmount = { Resource = "BOAR", Quantity = 5 }, ReplenishingAmount = 5, UnitPrice = { Resource = "GOLD_COINS", Quantity = 12 } }, 
	},
    SellingResourceList = {
        { ResourceMaxAmount = { Resource = "TOOL", Quantity = 1 }, ReplenishingAmount = 1, UnitPrice = { Resource = "GOLD_COINS", Quantity = 30 } }, 
    },
    Allegeance = "KINGDOM"
})



-- Override Villages -------------------------------------------------------------------------------------------------------------
mod:override({
    Id = "VILLAGE_LIST_DEFAULT",
    TradingVillageList = {
		"VILLAGE_RT_T1",
    }
})